/* This is the COMPLETED code 
   for the ThinkerShield Push Button Get A Toggle On Activity   
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
 
// ThinkerShield has a button connected to digital pin 7.


// Define pins.
int buttonPin = 7;
int ledPin = 10;

// Variables.
// Boolean (or true/false) variables.
boolean lastButton = LOW;
boolean ledOn = false;


void setup()
{
  // Initialise button pin.
  pinMode(buttonPin, INPUT); 
  digitalWrite(buttonPin, HIGH);  
  // Initialise LED pin.
  pinMode(ledPin, OUTPUT);
}

void loop()
{
  // Read button value.
  if (digitalRead(buttonPin) == HIGH && lastButton == LOW)
  {
    ledOn = !ledOn; // This inverts (switches) the value.
    lastButton = HIGH; // This stores the last button state.
  }
  else
  {
    lastButton = digitalRead(buttonPin);
  }

  
  // This is the code that turns the LED on and off, 
  // it's not covered in our activity but still important.
  // Can you see how it works? 
  if(ledOn) 
  {
    digitalWrite(ledPin, HIGH);
  }
  else
  {
    digitalWrite(ledPin, LOW);
  }
}



