/* This is the COMPLETED code
   for the ThinkerShield Digital Spoon Piano Project
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/

// Define notes.
#define NOTE_C4  262
#define NOTE_D4  294
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_G4  392
#define NOTE_A4  440
#define NOTE_B4  494
#define NOTE_C5  523

// Declare variables.
int potPin = A5;
int buzzerPin = 3;
int wahWah= 0;

// Set up all pin modes.
void setup()
{
  pinMode(A0, INPUT_PULLUP);
  pinMode(A1, INPUT_PULLUP);
  pinMode(A2, INPUT_PULLUP);
  pinMode(A3, INPUT_PULLUP);
  pinMode(2, INPUT_PULLUP);
  pinMode(4, INPUT_PULLUP);
  pinMode(5, INPUT_PULLUP);
  pinMode(6, INPUT_PULLUP);

  pinMode(buzzerPin, OUTPUT);
  pinMode(potPin, INPUT);
}

// Program loop.
void loop()
{
  wahWah = analogRead(potPin);
  if(digitalRead(A0) == LOW) tone(buzzerPin, NOTE_C4 + wahWah, 100);
  if(digitalRead(A1) == LOW) tone(buzzerPin, NOTE_D4 + wahWah, 100);
  if(digitalRead(A2) == LOW) tone(buzzerPin, NOTE_E4 + wahWah, 100);
  if(digitalRead(A3) == LOW) tone(buzzerPin, NOTE_F4 + wahWah, 100);
  if(digitalRead(2) == LOW) tone(buzzerPin, NOTE_G4 + wahWah, 100);
  if(digitalRead(4) == LOW) tone(buzzerPin, NOTE_A4 + wahWah, 100);
  if(digitalRead(5) == LOW) tone(buzzerPin, NOTE_B4 + wahWah, 100);
  if(digitalRead(6) == LOW) tone(buzzerPin, NOTE_C5 + wahWah, 100);
}

