/* This is the COMPLETED code 
   for the ThinkerShield Pitch Changer Activity    
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
 
// ThinkerShield has a buzzer connected to digital pin 3.
 
 
// Define pins.
int potPin = A5; 
int buzzerPin = 3; 

// Create variables to hold data we read.
int potValue = 0;
int freq = 0;

void setup()
{
  // Turn the serial port on.
  Serial.begin(115200);
  
  // Initialize the buzzer.
  pinMode(buzzerPin, OUTPUT);  
}

void loop()
{
      // Read the input pin.
      potValue = analogRead(potPin);
      
      // Map the potValue for PWM.
      freq = map(potValue, 0, 1023, 30, 5000);


      Serial.println(freq);
      
      // Write the value to the buzzer.
      tone(buzzerPin, freq, 20);
    
}
