/* This is the COMPLETED code 
   for the ThinkerShield LDR Night Light Activity 
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
 
// We have a LDR connected to analog pin 4.

// Define pins.
int LDRPin = A4; 
int ledPin = 10;

// Create a variable to hold the data we read in.
int LDRvalue = 0;
int value = 0;

void setup()
{
  // Initialize the LED pins as digital outputs.
  pinMode(ledPin, OUTPUT); 
 
  // Turn the serial port on.
  Serial.begin(115200);
}

void loop()
{
  // Read the input pin.
  LDRvalue = analogRead(LDRPin);
      
  // Print the contents of the variable to the serial monitor.
  Serial.println(LDRvalue);
      
  // Map the values.
  value = map(LDRvalue, 97, 330, 0, 100);
      
  // Use conditional statement to turn LEDs on and off.
  if(value < 50)
  {
    digitalWrite(ledPin, HIGH);
  }
  else
  {
    digitalWrite(ledPin, LOW);
  }

  // Short delay before reading again.
  delay(25); 
}
