/* This is the COMPLETED code 
   for ThinkerShield Pot LED Bouncer Activity    
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
 
// ThinkerShield has a potentiometer connected to analog pin A5

// Define pins.
int potPin = A5; 
int led1Pin = 8;
int led2Pin = 13;

// Create a variable to hold the data we read in.
int value = 0;

void setup()
{
  // Initialize the LED pins as digital outputs.
  pinMode(led1Pin, OUTPUT);
  pinMode(led2Pin, OUTPUT);
  
  // Turn the serial port on.
  Serial.begin(115200);
}

void loop()
{
  // Read the input pin.
  value = analogRead(potPin);
    
  // Print the contents of the variable to the serial monitor.
  Serial.println(value);
    
  // Use if statement to turn LEDs on and off. 
  if(value == 1023)
  {
    digitalWrite(led1Pin, HIGH);
    digitalWrite(led2Pin, LOW);
  }
  else if(value == 0)
  {
    digitalWrite(led1Pin, LOW);
    digitalWrite(led2Pin, HIGH);
  }
    
  // Short delay before reading again.
  delay(50); 
}
