/* This is the COMPLETED code
   for the ThinkerShield Pot Light Dimmer Activity    
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
   
// ThinkerShield has a potentiometer connected to analog pin 5.
// Pins that support PWM are 3,5,6,9,10,11. We already have LEDs
// permanently connected to pins 9,10,11.
  
// Define pins.
int potPin = A5; 
int ledPin = 9;
 
// Create a variable to hold the data we read in.
int value = 0;

void setup()
{
// Turn the serial port on.
Serial.begin(115200);

// Initialize the LED pin as a digital output.
pinMode(ledPin, OUTPUT);
}

void loop()
{

// Read the input pin.
  value = analogRead(potPin);    
  
  // Print the contents of the variable to the serial monitor.
  Serial.println(value);  
  
  // Map the function as PWM supports 0 to 255 not 0 to 1023.
  value = map(value, 0, 1023, 0, 255);
  
  // Write the value to the LED.
  analogWrite(ledPin, value);
  
  // Short delay before reading again.
  delay(25); 

}

